Groovy Documentation

## org.codehaus.groovy.grails.web.converters.marshaller.json
[Java] Class DeepDomainClassMarshaller

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.marshaller.xml.DomainClassMarshaller
          org.codehaus.groovy.grails.web.converters.marshaller.json.DeepDomainClassMarshaller

    public class DeepDomainClassMarshaller
    extends DomainClassMarshaller

Authors:
  Siegfried Puchbauer

Since:
  1.1

Constructor Summary
`DeepDomainClassMarshaller(boolean includeVersion)`
`DeepDomainClassMarshaller(boolean includeVersion, ProxyHandler proxyHandler)`

Method Summary
`protected boolean` | `isRenderDomainClassRelations()`

Methods inherited from class DomainClassMarshaller
asShortObject, isRenderDomainClassRelations, marshalObject, supports

Constructor Detail

### DeepDomainClassMarshaller

    public DeepDomainClassMarshaller(boolean includeVersion)

### DeepDomainClassMarshaller

    public DeepDomainClassMarshaller(boolean includeVersion, ProxyHandler proxyHandler)

Method Detail

### isRenderDomainClassRelations

    @Override
    protected boolean isRenderDomainClassRelations()

Groovy Documentation